Bug 1015248 - -console installer does not exit when user selects to exit after port in use warning.
-console installer does not exit when user selects to exit after port in use ...
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ER5
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
Depends On:
  Show dependency treegraph
Reported: 2013-10-03 13:56 EDT by Francisco Canas
Modified: 2014-09-03 00:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-15 11:21:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Francisco Canas 2013-10-03 13:56:00 EDT
Description of problem:
-console installer continues even after user selects to exit when given a 'port already in use' warning.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1.Start the -console installer when the default 9999 port is already in use.
2.When given the 'port already in use' warning, select 'no' to exit.

Actual results:
Installer continues on to target path selection.

Expected results:
Installer should exit since user chose not to continue.

Additional info:
This will likely need an izpack fix.
Comment 1 Petr Kremensky 2013-10-04 10:30:57 EDT
This is same with gui installer. Wouldn't it make more sense to quit installer once user select Cancel on warning dialogue (however I understand that correct workflow is to stay on current screen once user select cancel on warning).

I would also suggest changing the message as the port may not be required during installation (If user don't want to start server during installation and do some post-install actions). That's why this is just warning.
Comment 2 Francisco Canas 2013-10-07 13:56:19 EDT
I have fixed the logic in izpack's console panels so the result is more consistent with the GUI installer workflow: If the user chooses not to continue on a warning, installer stays on current panel rather than quitting altogether.

Izpack fix:

I also edited the message that appears when the port is already in use to:
"The port 9999 is already in use, but may be required to be open for this installation. Do you wish to continue?"

Comment 3 Petr Kremensky 2013-10-08 05:39:00 EDT
Verified on EAP 6.2.0.ER5 installer.

Note You need to log in before you can comment on or make changes to this bug.